# GET `/merchant/v1/transactions/{transaction_id}`

[Documentation page](/api-reference/transactions/payments.transactions.get)

## Summary

Get a transaction

## Description

Returns one transaction. It includes a receipt only after payment has finished successfully.

## Security requirements

```json
[
  {
    "OrganizationApiKeyAuth": []
  }
]
```

## Operation parameters

### path `transaction_id`

```json
{
  "description": "Server-issued transaction identifier.",
  "example": "txn_00000000000070008000000000000000",
  "in": "path",
  "name": "transaction_id",
  "required": true,
  "schema": {
    "description": "Server-issued transaction identifier.",
    "examples": [
      "txn_00000000000070008000000000000000"
    ],
    "pattern": "^txn_[0-9a-f]{12}7[0-9a-f]{3}[89ab][0-9a-f]{15}$",
    "title": "Transaction Id",
    "type": "string",
    "x-recuut-public-id-prefix": "txn"
  }
}
```

## Responses

### 200

```json
{
  "content": {
    "application/json": {
      "examples": {
        "succeeded_transaction": {
          "summary": "Succeeded transaction with receipt",
          "value": {
            "authorized_at": "2026-08-12T09:29:57Z",
            "authorized_atomic": "1000000",
            "created_at": "2026-08-12T09:29:55Z",
            "id": "txn_00000000000070008000000000000000",
            "payer": "0x1111111111111111111111111111111111111111",
            "payment_request_id": "prq_00000000000070008000000000000000",
            "receipt": {
              "environment": "test",
              "environment_key": "test",
              "id": "rct_00000000000070008000000000000000",
              "issued_at": "2026-08-12T09:30:00.000Z",
              "payment": {
                "asset": "USDC",
                "asset_id": "0x3333333333333333333333333333333333333333",
                "authorized_atomic": "1000000",
                "network": "eip155:84532",
                "payer": "0x1111111111111111111111111111111111111111",
                "recipient": "0x2222222222222222222222222222222222222222",
                "scheme": "exact",
                "settled_atomic": "1000000",
                "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
              },
              "price": {
                "calculation_mode": "fixed",
                "currency": "USD",
                "id": "prc_00000000000070008000000000000000",
                "label": "Quarterly report access"
              },
              "resource": {
                "id": "res_00000000000070008000000000000000",
                "name": "Quarterly report",
                "url": "https://merchant.example/reports/quarterly"
              },
              "schema_version": 2,
              "seller": {
                "id": "org_00000000000070008000000000000000",
                "name": "Acme Research"
              },
              "transaction_id": "txn_00000000000070008000000000000000"
            },
            "settled_at": "2026-08-12T09:30:00Z",
            "settled_atomic": "1000000",
            "status": "succeeded",
            "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
          }
        }
      },
      "schema": {
        "$ref": "#/components/schemas/TransactionDetailSchema"
      }
    }
  },
  "description": "OK"
}
```

### 401

```json
{
  "content": {
    "application/json": {
      "examples": {
        "unauthenticated": {
          "summary": "API key required",
          "value": {
            "code": "unauthenticated",
            "message": "A valid Recuut API key is required."
          }
        }
      },
      "schema": {
        "additionalProperties": false,
        "description": "Error returned for this endpoint and HTTP status.",
        "properties": {
          "code": {
            "const": "unauthenticated",
            "description": "Stable error code your app can check.",
            "type": "string"
          },
          "message": {
            "description": "Short explanation of what went wrong.",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ],
        "type": "object"
      }
    }
  },
  "description": "Unauthorized"
}
```

### 403

```json
{
  "content": {
    "application/json": {
      "examples": {
        "forbidden": {
          "summary": "Capability denied",
          "value": {
            "code": "forbidden",
            "message": "This API key does not allow this operation."
          }
        }
      },
      "schema": {
        "additionalProperties": false,
        "description": "Error returned for this endpoint and HTTP status.",
        "properties": {
          "code": {
            "const": "forbidden",
            "description": "Stable error code your app can check.",
            "type": "string"
          },
          "message": {
            "description": "Short explanation of what went wrong.",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ],
        "type": "object"
      }
    }
  },
  "description": "Forbidden"
}
```

### 404

```json
{
  "content": {
    "application/json": {
      "examples": {
        "transaction_not_found": {
          "summary": "Transaction not found",
          "value": {
            "code": "transaction_not_found",
            "message": "Transaction not found."
          }
        }
      },
      "schema": {
        "additionalProperties": false,
        "description": "Error returned for this endpoint and HTTP status.",
        "properties": {
          "code": {
            "const": "transaction_not_found",
            "description": "Stable error code your app can check.",
            "type": "string"
          },
          "message": {
            "description": "Short explanation of what went wrong.",
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ],
        "type": "object"
      }
    }
  },
  "description": "Not Found"
}
```

## First-party examples

### cURL

```json
{
  "label": "cURL",
  "lang": "shell",
  "source": "curl --request GET \\\n  --url \"$RECUUT_API_URL/merchant/v1/transactions/txn_00000000000070008000000000000000\" \\\n  --header \"Authorization: Bearer $RECUUT_API_KEY\"\n"
}
```

```shell
curl --request GET \
  --url "$RECUUT_API_URL/merchant/v1/transactions/txn_00000000000070008000000000000000" \
  --header "Authorization: Bearer $RECUUT_API_KEY"

```

## Canonical operation

```json
{
  "description": "Returns one transaction. It includes a receipt only after payment has finished successfully.",
  "operationId": "payments.transactions.get",
  "parameters": [
    {
      "description": "Server-issued transaction identifier.",
      "example": "txn_00000000000070008000000000000000",
      "in": "path",
      "name": "transaction_id",
      "required": true,
      "schema": {
        "description": "Server-issued transaction identifier.",
        "examples": [
          "txn_00000000000070008000000000000000"
        ],
        "pattern": "^txn_[0-9a-f]{12}7[0-9a-f]{3}[89ab][0-9a-f]{15}$",
        "title": "Transaction Id",
        "type": "string",
        "x-recuut-public-id-prefix": "txn"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "succeeded_transaction": {
              "summary": "Succeeded transaction with receipt",
              "value": {
                "authorized_at": "2026-08-12T09:29:57Z",
                "authorized_atomic": "1000000",
                "created_at": "2026-08-12T09:29:55Z",
                "id": "txn_00000000000070008000000000000000",
                "payer": "0x1111111111111111111111111111111111111111",
                "payment_request_id": "prq_00000000000070008000000000000000",
                "receipt": {
                  "environment": "test",
                  "environment_key": "test",
                  "id": "rct_00000000000070008000000000000000",
                  "issued_at": "2026-08-12T09:30:00.000Z",
                  "payment": {
                    "asset": "USDC",
                    "asset_id": "0x3333333333333333333333333333333333333333",
                    "authorized_atomic": "1000000",
                    "network": "eip155:84532",
                    "payer": "0x1111111111111111111111111111111111111111",
                    "recipient": "0x2222222222222222222222222222222222222222",
                    "scheme": "exact",
                    "settled_atomic": "1000000",
                    "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
                  },
                  "price": {
                    "calculation_mode": "fixed",
                    "currency": "USD",
                    "id": "prc_00000000000070008000000000000000",
                    "label": "Quarterly report access"
                  },
                  "resource": {
                    "id": "res_00000000000070008000000000000000",
                    "name": "Quarterly report",
                    "url": "https://merchant.example/reports/quarterly"
                  },
                  "schema_version": 2,
                  "seller": {
                    "id": "org_00000000000070008000000000000000",
                    "name": "Acme Research"
                  },
                  "transaction_id": "txn_00000000000070008000000000000000"
                },
                "settled_at": "2026-08-12T09:30:00Z",
                "settled_atomic": "1000000",
                "status": "succeeded",
                "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
              }
            }
          },
          "schema": {
            "$ref": "#/components/schemas/TransactionDetailSchema"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "content": {
        "application/json": {
          "examples": {
            "unauthenticated": {
              "summary": "API key required",
              "value": {
                "code": "unauthenticated",
                "message": "A valid Recuut API key is required."
              }
            }
          },
          "schema": {
            "additionalProperties": false,
            "description": "Error returned for this endpoint and HTTP status.",
            "properties": {
              "code": {
                "const": "unauthenticated",
                "description": "Stable error code your app can check.",
                "type": "string"
              },
              "message": {
                "description": "Short explanation of what went wrong.",
                "type": "string"
              }
            },
            "required": [
              "code",
              "message"
            ],
            "type": "object"
          }
        }
      },
      "description": "Unauthorized"
    },
    "403": {
      "content": {
        "application/json": {
          "examples": {
            "forbidden": {
              "summary": "Capability denied",
              "value": {
                "code": "forbidden",
                "message": "This API key does not allow this operation."
              }
            }
          },
          "schema": {
            "additionalProperties": false,
            "description": "Error returned for this endpoint and HTTP status.",
            "properties": {
              "code": {
                "const": "forbidden",
                "description": "Stable error code your app can check.",
                "type": "string"
              },
              "message": {
                "description": "Short explanation of what went wrong.",
                "type": "string"
              }
            },
            "required": [
              "code",
              "message"
            ],
            "type": "object"
          }
        }
      },
      "description": "Forbidden"
    },
    "404": {
      "content": {
        "application/json": {
          "examples": {
            "transaction_not_found": {
              "summary": "Transaction not found",
              "value": {
                "code": "transaction_not_found",
                "message": "Transaction not found."
              }
            }
          },
          "schema": {
            "additionalProperties": false,
            "description": "Error returned for this endpoint and HTTP status.",
            "properties": {
              "code": {
                "const": "transaction_not_found",
                "description": "Stable error code your app can check.",
                "type": "string"
              },
              "message": {
                "description": "Short explanation of what went wrong.",
                "type": "string"
              }
            },
            "required": [
              "code",
              "message"
            ],
            "type": "object"
          }
        }
      },
      "description": "Not Found"
    }
  },
  "security": [
    {
      "OrganizationApiKeyAuth": []
    }
  ],
  "summary": "Get a transaction",
  "tags": [
    "transactions"
  ],
  "x-codeSamples": [
    {
      "label": "cURL",
      "lang": "shell",
      "source": "curl --request GET \\\n  --url \"$RECUUT_API_URL/merchant/v1/transactions/txn_00000000000070008000000000000000\" \\\n  --header \"Authorization: Bearer $RECUUT_API_KEY\"\n"
    }
  ]
}
```
